org.springframework.web.socket.adapter.standard

## Class ConvertingEncoderDecoderSupport.TextEncoder<T>

- java.lang.Object
- - org.springframework.web.socket.adapter.standard.ConvertingEncoderDecoderSupport<T,String>
  - - org.springframework.web.socket.adapter.standard.ConvertingEncoderDecoderSupport.TextEncoder<T>

Type Parameters:
  `T` - the type that this Encoder can convert to

All Implemented Interfaces:
  Encoder, Encoder.Text<T>

Enclosing class:
  ConvertingEncoderDecoderSupport<T,M>

    public abstract static class ConvertingEncoderDecoderSupport.TextEncoder<T>
    extends ConvertingEncoderDecoderSupport<T,String>
    implements Encoder.Text<T>

A text `javax.websocket.Encoder` that delegates to Spring's conversion service. See `ConvertingEncoderDecoderSupport` for details.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.springframework.web.socket.adapter.standard.ConvertingEncoderDecoderSupport

`ConvertingEncoderDecoderSupport.BinaryDecoder<T>, ConvertingEncoderDecoderSupport.BinaryEncoder<T>, ConvertingEncoderDecoderSupport.TextDecoder<T>, ConvertingEncoderDecoderSupport.TextEncoder<T>`

### Nested classes/interfaces inherited from interface javax.websocket.Encoder

`Encoder.Binary<T>, Encoder.BinaryStream<T>, Encoder.Text<T>, Encoder.TextStream<T>`

### Constructor Summary

Constructors
Constructor and Description
`TextEncoder()`

### Method Summary

### Methods inherited from class org.springframework.web.socket.adapter.standard.ConvertingEncoderDecoderSupport

`decode, destroy, encode, getApplicationContext, getConversionService, getMessageType, getType, init, willDecode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.websocket.Encoder.Text

`encode`

### Methods inherited from interface javax.websocket.Encoder

`destroy, init`

### Constructor Detail

#### TextEncoder

    public TextEncoder()